# SCP-127

| Property                        | Type    | Description                                             |
| ------------------------------- | ------- | ------------------------------------------------------- |
| `GiveHumeShield`                | `bool`  | Whether to give a Hume Shield.                          |
| `Tier1BulletFireRate`           | `float` | The fire rate for Tier 1.                               |
| `Tier2BulletFireRate`           | `float` | The fire rate for Tier 2.                               |
| `Tier3BulletFireRate`           | `float` | The fire rate for Tier 3.                               |
| `Tier1BulletRegenRate`          | `float` | The bullet regeneration rate for Tier 1.                |
| `Tier2BulletRegenRate`          | `float` | The bullet regeneration rate for Tier 2.                |
| `Tier3BulletRegenRate`          | `float` | The bullet regeneration rate for Tier 3.                |
| `Tier1BulletRegenPostFireDelay` | `float` | The post-fire delay for bullet regeneration for Tier 1. |
| `Tier2BulletRegenPostFireDelay` | `float` | The post-fire delay for bullet regeneration for Tier 2. |
| `Tier3BulletRegenPostFireDelay` | `float` | The post-fire delay for bullet regeneration for Tier 3. |
| `Tier1HumeShieldAmount`         | `float` | The Hume Shield amount for Tier 1.                      |
| `Tier2HumeShieldAmount`         | `float` | The Hume Shield amount for Tier 2.                      |
| `Tier3HumeShieldAmount`         | `float` | The Hume Shield amount for Tier 3.                      |
| `Tier1ShieldRegenRate`          | `float` | The shield regeneration rate for Tier 1.                |
| `Tier2ShieldRegenRate`          | `float` | The shield regeneration rate for Tier 2.                |
| `Tier3ShieldRegenRate`          | `float` | The shield regeneration rate for Tier 3.                |
| `Tier1ShieldDecayRate`          | `float` | The shield decay rate for Tier 1.                       |
| `Tier2ShieldDecayRate`          | `float` | The shield decay rate for Tier 2.                       |
| `Tier3ShieldDecayRate`          | `float` | The shield decay rate for Tier 3.                       |
| `Tier1ShieldOnDamagePause`      | `float` | The shield pause on damage for Tier 1.                  |
| `Tier2ShieldOnDamagePause`      | `float` | The shield pause on damage for Tier 2.                  |
| `Tier3ShieldOnDamagePause`      | `float` | The shield pause on damage for Tier 3.                  |
| `Damage`                        | `float` | The damage of the ammo.                                 |
| `MaxBarrelAmmo`                 | `int`   | The maximum number of ammunitions in the barrel.        |
| `MaxAmmo`                       | `int`   | The maximum number of ammunitions.                      |
| `MaxMagazineAmmo`               | `int`   | The maximum number of ammunitions in the magazine.      |
| `AmmoDrain`                     | `int`   | The amount of ammunition drained per shot.              |
| `Penetration`                   | `float` | The penetration of the firearm.                         |
| `Inaccuracy`                    | `float` | The inaccuracy of the firearm.                          |
| `AimingInaccuracy`              | `float` | The inaccuracy of the firearm while aiming.             |
| `DamageFalloffDistance`         | `float` | How quickly the damage drops over distance.             |
| `MuteVoiceLines`                | `bool`  | Whether to mute voice lines.                            |

**Example:**

{% code expandable="true" %}

```yaml
CustomItemType: SCPItem
Item: GunSCP127
CustomData:
  give_hume_shield: true
  tier_1_bullet_fire_rate: 8.0
  tier_2_bullet_fire_rate: 10.0
  tier_3_bullet_fire_rate: 12.0
  tier_1_bullet_regen_rate: 2.0
  tier_2_bullet_regen_rate: 3.0
  tier_3_bullet_regen_rate: 4.0
  tier_1_bullet_regen_post_fire_delay: 2.0
  tier_2_bullet_regen_post_fire_delay: 1.5
  tier_3_bullet_regen_post_fire_delay: 1.0
  tier_1_hume_shield_amount: 25.0
  tier_2_hume_shield_amount: 50.0
  tier_3_hume_shield_amount: 75.0
  tier_1_shield_regen_rate: 2.0
  tier_2_shield_regen_rate: 3.0
  tier_3_shield_regen_rate: 4.0
  tier_1_shield_decay_rate: 1.0
  tier_2_shield_decay_rate: 0.8
  tier_3_shield_decay_rate: 0.5
  tier_1_shield_on_damage_pause: 5.0
  tier_2_shield_on_damage_pause: 4.0
  tier_3_shield_on_damage_pause: 3.0
  damage: 15.5
  max_barrel_ammo: 1
  max_ammo: 200
  max_magazine_ammo: 30
  ammo_drain: 1
  penetration: 1.5
  inaccuracy: 0.3
  aiming_inaccuracy: 0.1
  damage_falloff_distance: 40.0
  mute_voice_lines: false
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/custom-data/scp-item/scp-127.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
